> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update position



## OpenAPI

````yaml patch /v1/positions/{id}
openapi: 3.0.0
info:
  title: Settings APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/settings
  - url: https://staging.api.eu.aptlydone.com/settings
  - url: https://api.us.aptlydone.com/settings
  - url: https://api.eu.aptlydone.com/settings
security: []
tags: []
paths:
  /v1/positions/{id}:
    patch:
      tags:
        - positions
      summary: Update position
      operationId: TenantPositionController_updatePosition_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TenantPositionUpdateDto'
      responses:
        '200':
          description: Position updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantPositionResponseDtoResponse'
      security:
        - accessToken: []
components:
  schemas:
    TenantPositionUpdateDto:
      type: object
      properties:
        positionName:
          type: string
          description: Position name
          example: Senior Developer
        isSCIMProvisioned:
          type: boolean
          description: SCIMP provisioned flag
          example: false
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
          description: Status
        groupIds:
          description: Group IDs
          example:
            - >-
              0acdba99-41b8-42bf-a7dd-69a3522cf90c,
              7cc99913-d8f1-4462-bdd7-9e7a440524dd
          type: array
          items:
            type: string
    TenantPositionResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-08T06:33:20.711Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          allOf:
            - $ref: '#/components/schemas/TenantPositionResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    TenantPositionResponseDto:
      type: object
      properties:
        id:
          type: string
          example: 1533d1e1-b367-4b1e-bd45-bec6d1939149
        tenantId:
          type: string
          example: 7991d6c1-8488-406e-acf6-f07e7d1399e8
        positionId:
          type: string
          example: '10000'
        positionName:
          type: string
          example: Senior Developer
        isSCIMProvisioned:
          type: boolean
          example: false
        externalId:
          type: string
          example: EXT-POS-12345
        instanceId:
          type: string
          example: db036aaa-14fe-454a-bc23-a722e4106925
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
          example: ACTIVE
        isDeleted:
          type: boolean
          example: false
        createdOn:
          format: date-time
          type: string
          example: '2025-01-13T12:34:59.300Z'
        updatedOn:
          format: date-time
          type: string
          example: '2025-01-13T12:34:59.300Z'
        groups:
          type: array
          items:
            $ref: '#/components/schemas/PositionGroupDto'
        delegationsReceived:
          type: number
          example: 1
          description: Delegations received by the user
          nullable: true
        delegationsIssued:
          type: number
          example: 1
          description: Delegations issued by the user
          nullable: true
      required:
        - id
        - tenantId
        - positionId
        - positionName
        - isSCIMProvisioned
        - status
        - isDeleted
        - createdOn
        - updatedOn
        - groups
        - delegationsReceived
        - delegationsIssued
    PositionGroupDto:
      type: object
      properties:
        groupName:
          type: string
          example: Engineering Team
        displayName:
          type: string
          nullable: true
          example: Engineering Team Display
        groupTypeName:
          type: string
          example: Organizations
        groupId:
          type: string
          example: 9fbe4911-1eae-499e-9190-a447a7134fe7
        groupTypeId:
          type: string
          example: a51e8d10-388f-4042-b8a8-578b7ace6992
        parentId:
          type: string
          nullable: true
          example: 2
        parentName:
          type: string
          nullable: true
          example: Technology Division
        createdAt:
          format: date-time
          type: string
          example: '2025-01-13T12:34:59.303Z'
        updatedAt:
          format: date-time
          type: string
          example: '2025-01-13T12:34:59.303Z'
      required:
        - groupName
        - displayName
        - groupTypeName
        - groupId
        - groupTypeId
        - parentId
        - parentName
        - createdAt
        - updatedAt
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````